# set terminal pdfcairo enhanced color size 8,3 fontscale 0.5\
    # font 'Arial,14' linewidth 1 dl 5

set terminal pngcairo enhanced color size 3200,1200\
    font 'Arial,32' linewidth 1 dl 5
    
set key font ',32'

set size ratio -1

set palette defined (0 0 0 0.5, 1 0 0 1, 2 0 0.5 1, 3 0 1 1, 4 0.5 1 0.5, 5 1 1 0, 6 1 0.5 0, 7 1 0 0, 8 0.5 0 0)

unset xtics
unset ytics
unset border
unset key

set cbtics 10
set cbrange [0:50]
set xrange [0:2048]
set yrange [-1180:-880]

set lmargin 2
set rmargin 2
set tmargin 2
set bmargin 2

#set multiplot

#set title "Director rotation map"

# === Plot heat map of interpolated data ===
set view map
set pm3d at b map
set dgrid3d 600,600,3

a = "frame"
b = "00 01 02 03 04 05 06 07 08 09 10 11 12 13 14"

do for [file in b]{
    set output file . '.png'
    splot 'frame_' . file . '.txt' u 2:(-$3):(abs($5)) notitle
}
# # === Plot measurement points ===
# unset object
# unset dgrid3d
# unset pm3d
# splot "frame_14.txt" u 2:(-$3):(0) w p ls 1 notitle

unset multiplot

#pause -1